.navbar {
   min-height: 75px;
   padding-top: 13px;
}

.component-header-top-2 .navbar-title,
.component-header-top-2 .navbar-collapse {
   display: inline-block !important;
   position: relative;
   height: 100% !important;
   left: 0;
   margin-left: 0;
   padding-left: 30px;
}
.component-header-top-2 .navbar-title {
   width: 45%;
}
.component-header-top-2 .navbar-collapse {
   width: 55%;
}
.component-header-top-2 .navbar-title img {
   display: block;
   position: relative;
   float: left;
   left: 0px;
   top: 0px;
   width: 50px;
   height: 50px;
}
.component-header-top-2 .navbar-title p {
   display: inline-block;
   position: relative;
   left: 15px;
   top: 5px;
   width: calc(100% - 50px);
   height: 100%;
   color: #ffffff;
}
.component-header-top-2 .navbar-title p span {
   font-family: roboto-regular!important;
   text-transform: uppercase;
}
.component-header-top-2 .navbar-collapse .navbar-nav {
   display: block;
   position: relative;
   right: 20px;
   height: 100%;
   width: 100%;
   margin: auto;
}
.component-header-top-2 .navbar-collapse.collapsing .navbar-nav,
.component-header-top-2 .navbar-collapse.collapse.in .navbar-nav,
.component-header-top-2 .navbar-collapse.collapse .navbar-nav {
   top: 0px!important;
}
.component-header-top-2 .navbar-collapse .navbar-nav .nav-item {
   display: block;
   position: relative;
   float: right;
   margin-left: 30px;
}
.component-header-top-2 .navbar-collapse .navbar-nav .nav-item a {
   text-decoration-line: none;
   text-transform: uppercase;
   
   font-family: roboto-regular !important;
   font-size: 16px;
   font-weight: 400;
   color:#f0f0f0;

   animation-name: colorize-menu-font;
   animation-duration: 250ms;
   animation-fill-mode: forwards;
 
   -webkit-animation-name: colorize-menu-font;
   -webkit-animation-duration: 250ms;
   -webkit-animation-fill-mode: forwards;
 
   -moz-animation-name: colorize-menu-font;
   -moz-animation-duration: 250ms;
   -moz-animation-fill-mode: forwards;
  
   -ms-animation-name: colorize-menu-font;
   -ms-animation-duration: 250ms;
   -ms-animation-fill-mode: forwards;
}
.component-header-top-2 .navbar-collapse .navbar-nav .nav-item.active a {
   font-family: roboto-bold !important;
   font-size: 18px;
   font-weight: 900;
   color:#ffffff;
}
.component-header-top-2 .navbar-collapse .navbar-nav .nav-item a.nav-link:hover {
   font-family: roboto-regular !important;

   animation-name: decolorize-menu-font;
   animation-duration: 250ms;
   animation-fill-mode: forwards;
 
   -webkit-animation-name: decolorize-menu-font;
   -webkit-animation-duration: 250ms;
   -webkit-animation-fill-mode: forwards;
 
   -moz-animation-name: decolorize-menu-font;
   -moz-animation-duration: 250ms;
   -moz-animation-fill-mode: forwards;
  
   -ms-animation-name: decolorize-menu-font;
   -ms-animation-duration: 250ms;
   -ms-animation-fill-mode: forwards;
}

/**
 * Animations
 */
@keyframes colorize-menu-font {
   from {
      color:#8f8f8f;
   }
   to {
      color:#f0f0f0;
   }
}
@-moz-keyframes colorize-menu-font {
   from {
      color:#8f8f8f;
   }
   to {
      color:#f0f0f0;
   }
}
@-webkit-keyframes colorize-menu-font {
   from {
      color:#8f8f8f;
   }
   to {
      color:#f0f0f0;
   }
}

@keyframes decolorize-menu-font {
   from {
      color:#f0f0f0;
   }
   to {
      color:#8f8f8f;
   }
}
@-moz-keyframes decolorize-menu-font {
   from {
      color:#f0f0f0;
   }
   to {
      color:#8f8f8f;
   }
}
@-webkit-keyframes decolorize-menu-font {
   from {
      color:#f0f0f0;
   }
   to {
      color:#8f8f8f;
   }
}

@media(max-width: 992px) {

   .navbar {
      min-height: 50px;
      margin-bottom: 10px;
      padding-top: 5px;
   }

   .component-header-top-2 .navbar-title {
      width: 100%;
      padding-left: 15px;
   }
   .component-header-top-2 .navbar-title img {
      top: 2px;
      width: 35px;
      height: 35px;
   }
   .component-header-top-2 .navbar-title p {
      line-height: 1.2;
      top: 6px;
      font-size: 12px;
   }
   .component-header-top-2 .navbar-toggler {
      display: block;
      position: relative;
      float: right;
      margin-right: 30px;
      margin-top: -30px;
   }
   .component-header-top-2 .navbar-collapse {
      display: block!important;
      position: absolute!important;
      float: right;
      top: 53px!important;
      left: auto;
      right: 0px;
      bottom: auto;
      max-width: 200px;
      margin: auto;
      padding: 10px;
      border-radius: 3px;
      z-index: 10;
      overflow: hidden;
   }
   .component-header-top-2 .navbar-collapse.collapse.in {
      min-height: 210px!important;
   }
   .component-header-top-2 .navbar-collapse.collapse,
   .component-header-top-2 .navbar-collapse.collapsing {
      min-height: 0px;
      height: 0px;
   }
   .component-header-top-2 .navbar-collapse.collapsing .navbar-nav,
   .component-header-top-2 .navbar-collapse.collapse.in .navbar-nav,
   .component-header-top-2 .navbar-collapse.collapse .navbar-nav {
      display: block!important;
      position: absolute!important;
      float: right;
      left: auto;
      bottom: auto;
      height: auto;
      width: 160px;
      margin: auto;
      padding: 0px;
      background-color: #585858;
      border: 2px solid #464444;
      border-radius: 3px;
      z-index: 10;
      visibility: visible!important;
   }
   .component-header-top-2 .navbar-collapse.collapse.in .navbar-nav {
      right: -400px;

      animation-name: show-collapsed-navbar;
      animation-duration: 250ms;
      animation-fill-mode: forwards;
    
      -webkit-animation-name: show-collapsed-navbar;
      -webkit-animation-duration: 250ms;
      -webkit-animation-fill-mode: forwards;
    
      -moz-animation-name: show-collapsed-navbar;
      -moz-animation-duration: 250ms;
      -moz-animation-fill-mode: forwards;
     
      -ms-animation-name: show-collapsed-navbar;
      -ms-animation-duration: 250ms;
      -ms-animation-fill-mode: forwards;
   }
   .component-header-top-2 .navbar-collapse.collapsing .navbar-nav,
   .component-header-top-2 .navbar-collapse.collapse .navbar-nav {
      right: 30px;
   
      animation-name: hide-collapsed-navbar;
      animation-duration: 500ms;
      animation-fill-mode: forwards;
    
      -webkit-animation-name: hide-collapsed-navbar;
      -webkit-animation-duration: 500ms;
      -webkit-animation-fill-mode: forwards;
    
      -moz-animation-name: hide-collapsed-navbar;
      -moz-animation-duration: 500ms;
      -moz-animation-fill-mode: forwards;
     
      -ms-animation-name: hide-collapsed-navbar;
      -ms-animation-duration: 500ms;
      -ms-animation-fill-mode: forwards;
   }
   .component-header-top-2 .navbar-collapse .navbar-nav .nav-item {
      float: right;
      width: 100%;
      margin: 0px;
      text-align: right;
   }
   .component-header-top-2 .navbar-collapse .navbar-nav .nav-item a.nav-link,
   .component-header-top-2 .navbar-collapse .navbar-nav .nav-item.active a.nav-link {
      float: left;
      left: 0px;
      right: 0px;
      width: 100%;
      padding-right: 10px;
      padding-top: 15px;
      padding-bottom: 15px;
      font-family: roboto-regular!important;
      font-size: 16px;
      font-weight: 400;
      text-align: right;
      background-color: #585858;
   }
   .component-header-top-2 .navbar-collapse .navbar-nav .nav-item a.nav-link {
      animation-name: decolorize-menu-font-mobile;
      animation-duration: 250ms;
      animation-fill-mode: forwards;
   
      -webkit-animation-name: decolorize-menu-font-mobile;
      -webkit-animation-duration: 250ms;
      -webkit-animation-fill-mode: forwards;
   
      -moz-animation-name: decolorize-menu-font-mobile;
      -moz-animation-duration: 250ms;
      -moz-animation-fill-mode: forwards;
   
      -ms-animation-name: decolorize-menu-font-mobile;
      -ms-animation-duration: 250ms;
      -ms-animation-fill-mode: forwards;
   }
   .component-header-top-2 .navbar-collapse .navbar-nav .nav-item.active a.nav-link {
      background-color: #3c3c3b;
   }
   .component-header-top-2 .navbar-collapse .navbar-nav .nav-item a.nav-link:hover {
      animation-name: colorize-menu-font-mobile;
      animation-duration: 250ms;
      animation-fill-mode: forwards;
   
      -webkit-animation-name: colorize-menu-font-mobile;
      -webkit-animation-duration: 250ms;
      -webkit-animation-fill-mode: forwards;
   
      -moz-animation-name: colorize-menu-font-mobile;
      -moz-animation-duration: 250ms;
      -moz-animation-fill-mode: forwards;
   
      -ms-animation-name: colorize-menu-font-mobile;
      -ms-animation-duration: 250ms;
      -ms-animation-fill-mode: forwards;
   }

   /**
    * Animations
    */
   @keyframes show-collapsed-navbar {
      from {
         right: -400px;
      }
      to {
         right: 30px;
      }
   }
   @-moz-keyframes show-collapsed-navbar {
      from {
         right: -400px;
      }
      to {
         right: 30px;
      }
   }
   @-webkit-keyframes show-collapsed-navbar {
      from {
         right: -400px;
      }
      to {
         right: 30px;
      }
   }

   @keyframes hide-collapsed-navbar {
      from {
         right: 30px;
      }
      to {
         right: -400px;
      }
   }
   @-moz-keyframes hide-collapsed-navbar {
      from {
         right: 30px;
      }
      to {
         right: -400px;
      }
   }
   @-webkit-keyframes hide-collapsed-navbar {
      from {
         right: 30px;
      }
      to {
         right: -400px;
      }
   }

   @keyframes colorize-menu-font-mobile {
      from {
         color:#f0f0f0;
      }
      to {
         color:#8f8f8f;
      }
   }
   @-moz-keyframes colorize-menu-font-mobile {
      from {
         color:#f0f0f0;
      }
      to {
         color:#8f8f8f;
      }
   }
   @-webkit-keyframes colorize-menu-font-mobile {
      from {
         color:#f0f0f0;
      }
      to {
         color:#8f8f8f;
      }
   }
   
   @keyframes decolorize-menu-font-mobile {
      from {
         color:#8f8f8f;
      }
      to {
         color:#f0f0f0;
      }
   }
   @-moz-keyframes decolorize-menu-font-mobile {
      from {
         color:#8f8f8f;
      }
      to {
         color:#f0f0f0;
      }
   }
   @-webkit-keyframes decolorize-menu-font-mobile {
      from {
         color:#8f8f8f;
      }
      to {
         color:#f0f0f0;
      }
   }

}

@media(max-width: 772px) {

   .component-header-top-2 .navbar-title img {
      top: 7px;
   }
   .component-header-top-2 .navbar-title p {
      top: 10px;
   }

   .navbar {
      padding-top: 0px;
   }

   .component-header-top-2 .navbar-toggler {
      margin-top: -26px;
      margin-right: 20px;
   }

   /**
    * Animations
    */
   @keyframes show-collapsed-navbar {
      from {
         right: -400px;
      }
      to {
         right: 20px;
      }
   }
   @-moz-keyframes show-collapsed-navbar {
      from {
         right: -400px;
      }
      to {
         right: 20px;
      }
   }
   @-webkit-keyframes show-collapsed-navbar {
      from {
         right: -400px;
      }
      to {
         right: 20px;
      }
   }

   @keyframes hide-collapsed-navbar {
      from {
         right: 20px;
      }
      to {
         right: -400px;
      }
   }
   @-moz-keyframes hide-collapsed-navbar {
      from {
         right: 20px;
      }
      to {
         right: -400px;
      }
   }
   @-webkit-keyframes hide-collapsed-navbar {
      from {
         right: 20px;
      }
      to {
         right: -400px;
      }
   }

}